implenton - Mészáros Róbert

Configure Netlify to run a specific PHP version

With all the hype around JS and Go based static site generators, it's easy to miss that you can use PHP with Netlify.

PHP comes preinstalled (with composer), but the default version is 5.6.

To switch to 7.4, you have to configure the build image. Create a netlify.toml config file in the root of your site repo. Define the environment variable like so:

[build]
    environment = { PHP_VERSION = "7.4" }

See all posts